#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/base/commandline_application/reset.rb'
# =========================================================================== #
module Bioroebe

module CommandlineArguments # === Bioroebe::CommandlineApplication

  require 'bioroebe/base/namespace.rb'

  # ========================================================================= #
  # === reset
  #
  # We only define two instance variables here.
  # ========================================================================= #
  def reset
    super()
    # ======================================================================= #
    # === @namespace
    # ======================================================================= #
    @namespace = Bioroebe::Base::NAMESPACE
    # ======================================================================= #
    # === @commandline_arguments
    # ======================================================================= #
    @commandline_arguments = []
    # ======================================================================= #
    # === @be_verbose
    #
    # By default, CommandlineApplication will report a lot of stuff.
    # ======================================================================= #
    @be_verbose  = true
    # ======================================================================= #
    # === @use_colours
    # ======================================================================= #
    @use_colours = true
  end

end; end