#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/base/commandline_application/write_what_into.rb'
# =========================================================================== #
module Bioroebe

class CommandlineApplication < Base # === Bioroebe::CommandlineApplication

  require 'bioroebe/toplevel_methods/file_and_directory_related_actions.rb'

  # ========================================================================= #
  # === write_what_into
  #
  # This method can be used to write into a (local) file.
  # ========================================================================= #
  def write_what_into(what, into)
    ::Bioroebe.write_what_into(what, into)
  end; alias save_file write_what_into # === save_file

  # ========================================================================= #
  # === append_what_into
  # ========================================================================= #
  def append_what_into(what, into)
    ::Bioroebe.append_what_into(what, into)
  end

end; end