#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/base/prototype/prototype.rb'
# Bioroebe::Base
# =========================================================================== #
require 'bioroebe/constants/carriage_return.rb'
require 'bioroebe/constants/files_and_directories.rb'
require 'bioroebe/constants/newline.rb'
require 'bioroebe/constants/tabulator.rb'

require 'bioroebe/base/prototype/e_and_ee.rb'
require 'bioroebe/base/prototype/misc.rb'
require 'bioroebe/base/prototype/mkdir.rb'
require 'bioroebe/base/prototype/reset.rb'
# =========================================================================== #
# Next, two toplevel-methods specific .rb files are required:
# =========================================================================== #
require 'bioroebe/toplevel_methods/rds.rb'
require 'bioroebe/toplevel_methods/truncate.rb'