#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/colours/swarn.rb'
# =========================================================================== #
module Bioroebe

  require 'bioroebe/colours/use_colours.rb'

  # ========================================================================= #
  # === Bioroebe.swarn
  # ========================================================================= #
  def self.swarn(i = '')
    if @use_colours
      return Colours.swarn(i)
    end
    return i
  end

  # ========================================================================= #
  # === Bioroebe.swarn
  # ========================================================================= #
  def self.ewarn(i = '')
    require 'bioroebe/toplevel_methods/e.rb'
    e swarn(i)
  end

end