#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/colours/use_colours.rb'
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === @use_colours
  #
  # Whether the whole Bioroebe project will make use of colours or
  # whether it will not.
  # ========================================================================= #
  @use_colours = true

  # ========================================================================= #
  # === Bioroebe.use_colours?
  #
  # Query-method to determine whether the Bioroebe gem will try to make
  # use of colours.
  # ========================================================================= #
  def self.use_colours?
    @use_colours
  end; self.instance_eval { alias use_colours_in_general? use_colours? } # === Bioroebe.use_colours_in_general?

end