#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file contains data particular to my home setup, the system I use
# at home. It is thus not hugely relevant to other people, but
# simplifies the job for me whenever I work on bio-related stuff in
# general.
# =========================================================================== #
# require 'bioroebe/constants/roebe.rb'
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === EMAIL
  #
  # My email address - not too terribly useful for other people,
  # but nonetheless it may be useful to display it, in particular
  # for GUI-related components of the bioroebe-project and simple
  # feedback in the long run.
  # ========================================================================= #
  EMAIL = 'shevy@inbox.lt'

  # ========================================================================= #
  # === USERS_X
  # ========================================================================= #
  USERS_X = '/home/x/'

  # ========================================================================= #
  # === RUBY_SRC
  #
  # This constant is only useful on my home directory. Most other users
  # will not need it, ever.
  # ========================================================================= #
  RUBY_SRC =
    "#{USERS_X}programming/ruby/src/"

end