#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/exceptions/exceptions.rb'
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === Declare the error for an invalid aminoacid.
  #
  # This will refer to the IUPAC code for aminoacids.
  # ========================================================================= #
  class InvalidAminoacid < StandardError # === Bioroebe::InvalidAminoacid
  end

end