#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/toplevel_methods/to_camelcase.rb'
# Bioroebe.to_camelcase
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === Bioroebe.to_camelcase
  #
  # Convert the given String (the input) into a camelcased variant.
  # ========================================================================= #
  def self.to_camelcase(i)
    if i.is_a? Array
      i = i.first
    end
    i.split('_').map {|entry| entry.capitalize }.join
  end

end

if __FILE__ == $PROGRAM_NAME
  puts Bioroebe.to_camelcase('foo_bar')  
end