# -*- encoding: utf-8 -*-
# stub: bioroebe 0.10.1 ruby lib

Gem::Specification.new do |s|
  s.name = "bioroebe".freeze
  s.version = "0.10.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 3.2.32".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Robert A. Heiler".freeze]
  s.date = "2021-12-23"
  s.description = "\nDO NOT YET DOWNLOAD! THIS WILL BECOME THE NEW bioroebe-0.10.x RELEASE\nSERIES IN A FEW DAYS! RIGHT NOW IT IS UNSTABLE AND WILL CHANGE A LOT.\n\nWelcome to the bioroebe-0.10.x release series! It is recommended to\nuse ruby 3.x for this series, as it is the most tested version of \nruby in regards to this project.\n\nThe bioroebe-project is a software suite focusing on bio-related\nlife sciences in general - in particular molecular biology, molecular\ngenetics, bioinformatics, biotechnology, system biology, synthetic\nbiology and related topics close to the life sciences in general.\n\nThe primary objective for the bioroebe project is to provide a\n\"practical glue\" between these different topics while also focusing\non \"getting real work done\", as a toolset-project, trying to\nefficiently solve existing problems.\n\nFor additional information about this project, have a look at the\nlink called \"documentation\" on the rubygems webpage of this gem,\non the very bottom right side (The direct URL is: \nhttps://www.rubydoc.info/gems/bioroebe/ ).\n\n".freeze
  s.email = "shevy@inbox.lt".freeze
  s.executables = ["advanced_dotplot".freeze, "align_open_reading_frames".freeze, "all_positions_of_this_nucleotide".freeze, "aminoacid_composition".freeze, "aminoacid_frequencies".freeze, "automatically_rename_this_fasta_file".freeze, "base_composition".freeze, "batch_create_windows_executables".freeze, "biomart_console".freeze, "bioroebe".freeze, "bioroebe_notebook".freeze, "bioshell".freeze, "blosum_2D_table".freeze, "calculate_n50_value".freeze, "chunked_display".freeze, "codon_to_aminoacid".freeze, "colourize_this_fasta_sequence".freeze, "complement".freeze, "complementary_dna_strand".freeze, "complementary_rna_strand".freeze, "compseq".freeze, "consensus_sequence".freeze, "count_AT".freeze, "count_GC".freeze, "create_random_aminoacids".freeze, "decode_this_aminoacid_sequence".freeze, "deduce_aminoacid_sequence".freeze, "deduce_most_likely_aminoacid_sequence".freeze, "display_aminoacid_table".freeze, "display_open_reading_frames".freeze, "dna_to_aminoacid_sequence".freeze, "dna_to_rna".freeze, "downcase_chunked_display".freeze, "download_this_pdb".freeze, "fasta_index".freeze, "fetch_data_from_uniprot".freeze, "filter_away_invalid_nucleotides".freeze, "find_substring".freeze, "genbank_to_fasta".freeze, "hamming_distance".freeze, "input_as_dna".freeze, "is_palindrome".freeze, "leading_five_prime".freeze, "levensthein".freeze, "longest_ORF".freeze, "longest_substring".freeze, "n_stop_codons_in_this_sequence".freeze, "open_reading_frames".freeze, "overwrite_fasta_header".freeze, "palindrome_2D_structure".freeze, "palindrome_generator".freeze, "parse_fasta".freeze, "partner_nucleotide".freeze, "possible_codons_for_this_aminoacid".freeze, "random_dna_sequence".freeze, "random_sequence".freeze, "raw_hamming_distance".freeze, "return_longest_substring_via_LCS_algorithm".freeze, "reverse_complement".freeze, "reverse_sequence".freeze, "ruler".freeze, "scan_this_input_for_startcodons".freeze, "short_aminoacid_letter_from_long_aminoacid_name".freeze, "show_atomic_composition".freeze, "show_codon_usage".freeze, "show_fasta_header".freeze, "show_nucleotide_sequence".freeze, "show_this_codon_table".freeze, "show_this_dna_sequence".freeze, "showorf".freeze, "simplify_fasta".freeze, "sort_aminoacid_based_on_its_hydrophobicity".freeze, "split_this_fasta_file_into_chromosomes".freeze, "strict_filter_away_invalid_aminoacids".freeze, "taxonomy".freeze, "three_to_one".freeze, "to_rna".freeze, "trailing_three_prime".freeze, "trypsin_digest".freeze, "upcase_this_aminoacid_sequence_and_remove_numbers".freeze]
  s.files = ["bin/advanced_dotplot".freeze, "bin/align_open_reading_frames".freeze, "bin/all_positions_of_this_nucleotide".freeze, "bin/aminoacid_composition".freeze, "bin/aminoacid_frequencies".freeze, "bin/automatically_rename_this_fasta_file".freeze, "bin/base_composition".freeze, "bin/batch_create_windows_executables".freeze, "bin/biomart_console".freeze, "bin/bioroebe".freeze, "bin/bioroebe_notebook".freeze, "bin/bioshell".freeze, "bin/blosum_2D_table".freeze, "bin/calculate_n50_value".freeze, "bin/chunked_display".freeze, "bin/codon_to_aminoacid".freeze, "bin/colourize_this_fasta_sequence".freeze, "bin/complement".freeze, "bin/complementary_dna_strand".freeze, "bin/complementary_rna_strand".freeze, "bin/compseq".freeze, "bin/consensus_sequence".freeze, "bin/count_AT".freeze, "bin/count_GC".freeze, "bin/create_random_aminoacids".freeze, "bin/decode_this_aminoacid_sequence".freeze, "bin/deduce_aminoacid_sequence".freeze, "bin/deduce_most_likely_aminoacid_sequence".freeze, "bin/display_aminoacid_table".freeze, "bin/display_open_reading_frames".freeze, "bin/dna_to_aminoacid_sequence".freeze, "bin/dna_to_rna".freeze, "bin/downcase_chunked_display".freeze, "bin/download_this_pdb".freeze, "bin/fasta_index".freeze, "bin/fetch_data_from_uniprot".freeze, "bin/filter_away_invalid_nucleotides".freeze, "bin/find_substring".freeze, "bin/genbank_to_fasta".freeze, "bin/hamming_distance".freeze, "bin/input_as_dna".freeze, "bin/is_palindrome".freeze, "bin/leading_five_prime".freeze, "bin/levensthein".freeze, "bin/longest_ORF".freeze, "bin/longest_substring".freeze, "bin/n_stop_codons_in_this_sequence".freeze, "bin/open_reading_frames".freeze, "bin/overwrite_fasta_header".freeze, "bin/palindrome_2D_structure".freeze, "bin/palindrome_generator".freeze, "bin/parse_fasta".freeze, "bin/partner_nucleotide".freeze, "bin/possible_codons_for_this_aminoacid".freeze, "bin/random_dna_sequence".freeze, "bin/random_sequence".freeze, "bin/raw_hamming_distance".freeze, "bin/return_longest_substring_via_LCS_algorithm".freeze, "bin/reverse_complement".freeze, "bin/reverse_sequence".freeze, "bin/ruler".freeze, "bin/scan_this_input_for_startcodons".freeze, "bin/short_aminoacid_letter_from_long_aminoacid_name".freeze, "bin/show_atomic_composition".freeze, "bin/show_codon_usage".freeze, "bin/show_fasta_header".freeze, "bin/show_nucleotide_sequence".freeze, "bin/show_this_codon_table".freeze, "bin/show_this_dna_sequence".freeze, "bin/showorf".freeze, "bin/simplify_fasta".freeze, "bin/sort_aminoacid_based_on_its_hydrophobicity".freeze, "bin/split_this_fasta_file_into_chromosomes".freeze, "bin/strict_filter_away_invalid_aminoacids".freeze, "bin/taxonomy".freeze, "bin/three_to_one".freeze, "bin/to_rna".freeze, "bin/trailing_three_prime".freeze, "bin/trypsin_digest".freeze, "bin/upcase_this_aminoacid_sequence_and_remove_numbers".freeze]
  s.homepage = "https://rubygems.org/gems/bioroebe".freeze
  s.licenses = ["LGPL-2.1".freeze]
  s.post_install_message = "\nThis project relates to the life sciences, in particular molecular biology\nand bioinformatics. It is primarily a toolset project, meaning that the\ncode that can be found within this project, ought to be \"useful\" in daily\nwork setups and routines related to the field of life sciences.\n\nThe simplest way to use this project is to start the interactive shell,\ncalled BioShell.\n\nThe executable file for the BioShell is simply called:\n\n    bioshell\n\nIt resides in the bin/ subdirectory of this gem. It can also be started\nfrom ruby code, such as through the following two lines of ruby code:\n\n    require 'bioroebe'\n    Bioroebe.start_shell\n\nIdeally this should work just fine. If not, have a look at your specific\nGEM_PATH to find out where the bioroebe-related files are kept.\n\n\"gem install bioroebe\" should properly have handled all dependencies\nfor the bioroebe gem.\n\nFor more documentation, have a look at:\n\n  https://www.rubydoc.info/gems/bioroebe/0.10.1\n\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.8".freeze)
  s.rubygems_version = "3.2.32".freeze
  s.summary = "DO NOT YET DOWNLOAD! THIS WILL BECOME THE NEW bioroebe-0.10.x RELEASE SERIES IN A FEW DAYS! RIGHT NOW IT IS UNSTABLE AND WILL CHANGE A LOT.  Welcome to the bioroebe-0.10.x release series! It is recommended to use ruby 3.x for this series, as it is the most tested version of  ruby in regards to this project.  The bioroebe-project is a software suite focusing on bio-related life sciences in general - in particular molecular biology, molecular genetics, bioinformatics, biotechnology, system biology, synthetic biology and related topics close to the life sciences in general.  The primary objective for the bioroebe project is to provide a \"practical glue\" between these different topics while also focusing on \"getting real work done\", as a toolset-project, trying to efficiently solve existing problems.  For additional information about this project, have a look at the link called \"documentation\" on the rubygems webpage of this gem, on the very bottom right side (The direct URL is:  https://www.rubydoc.info/gems/bioroebe/ ).".freeze

  s.installed_by_version = "3.2.32" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<chemistry_paradise>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<cyberweb>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<colours>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<convert_global_env>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<directory_paradise>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<opn>.freeze, [">= 0"])
  else
    s.add_dependency(%q<chemistry_paradise>.freeze, [">= 0"])
    s.add_dependency(%q<cyberweb>.freeze, [">= 0"])
    s.add_dependency(%q<colours>.freeze, [">= 0"])
    s.add_dependency(%q<convert_global_env>.freeze, [">= 0"])
    s.add_dependency(%q<directory_paradise>.freeze, [">= 0"])
    s.add_dependency(%q<opn>.freeze, [">= 0"])
  end
end
