#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/base/commandline_application/warnings.rb'
# =========================================================================== #
module Bioroebe

class CommandlineApplication < Base # === Bioroebe::CommandlineApplication

  # ========================================================================= #
  # === OLD_VERBOSE_VALUE
  #
  # Keep an old reference to the VERBOSE flag.
  # ========================================================================= #
  OLD_VERBOSE_VALUE = $VERBOSE

  $VERBOSE = nil

  # ========================================================================= #
  # === disable_warnings
  # ========================================================================= #
  def disable_warnings
    $VERBOSE = nil
  end

  # ========================================================================= #
  # === enable_warnings
  # ========================================================================= #
  def enable_warnings
    $VERBOSE = OLD_VERBOSE_VALUE
  end

  $VERBOSE = OLD_VERBOSE_VALUE # Reinstate the old verbosity level here.

end; end