#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === Bioroebe::ColourScheme::Simple
#
# A very basic class template for color code referencing.
# =========================================================================== #
module Bioroebe

module ColourScheme

class Simple # === Bioroebe::ColourScheme::Simple

  # ========================================================================= #
  # === @colours
  #
  # Example for the colours.
  # ========================================================================= #
  @colours = {
    'A' => '64F73F',
  }

  @colours.default = 'FFFFFF' # Return white by default.

  # ========================================================================= #
  # === Bioroebe::ColourScheme::Simple[]
  # ========================================================================= #
  def self.[](x)
    return if x.nil?
    @colours[x.to_s.upcase]
  end

  # ========================================================================= #
  # === Bioroebe::ColourScheme::Simple.colours
  # ========================================================================= #
  def self.colours
    @colours
  end; self.instance_eval { alias colors   colours } # === Bioroebe::ColourScheme::Simple.colors
       self.instance_eval { alias colours? colours } # === Bioroebe::ColourScheme::Simple.colours?

end; end; end