#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file will store only regex-constants.
# =========================================================================== #
# require 'bioroebe/constants/regex.rb'
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === REGEX_FOR_N_GLYCOSYLATION_PATTERN
  #
  # See rubular at:
  #
  #   https://rubular.com/r/D95Cq7oR5x
  #
  # ========================================================================= #
  REGEX_FOR_N_GLYCOSYLATION_PATTERN =
    /(?=(N[^P][ST][^P]))/

  # ========================================================================= #
  # === REGEX_PROSITE_FOR_ANY_AMINOACID
  # ========================================================================= #
  REGEX_PROSITE_FOR_ANY_AMINOACID =
    /x\((\d+)\)/

end