A RawSequence is the base for Bioroebe::Sequence.

It contains the bare minimum of a "sequence object".

Specifically it does NOT contain any colour-related code or 
output-related methods, so "alias e puts" can NOT be found
in a RawSequence.

The reason this class was added in 2021 was because there 
were some bugs in the Bioroebe::Sequence, which in particular
caused the bioshell interface to show odd formatting results
on the commandline.

RawSequence bypasses this issue completely, by being much,
much simpler than Bioroebe::Sequence. Internally
Bioroebe::Sequence will rely on RawSequence for sequence
data.
