#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# Take note that this file will also require the colours-gem, if available.
# =========================================================================== #
# require 'bioroebe/requires/require_colours.rb'
# =========================================================================== #
module Bioroebe

  require 'bioroebe/colours/use_colours.rb'

  begin
    require 'colours'
    @use_colours = true  # Keep track of the fact that we will make use of colours.
  rescue LoadError
    @use_colours = false # In this case we will disable colour-support.
  end

end