#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/toplevel_methods/delimiter.rb'
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === Bioroebe.delimiter?
  #
  # This is simply the delimiter used for reading "multiline input"
  # of the Bioroebe::Shell component.
  # ========================================================================= #
  def self.delimiter?
    '___'
  end

end