#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/toplevel_methods/editor.rb'
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === Bioroebe.editor?
  # ========================================================================= #
  def self.editor?
    require 'bioroebe/configuration/constants.rb'
    ::Bioroebe::Configuration::DEFAULT_EDITOR_TO_USE
  end

end

if __FILE__ == $PROGRAM_NAME
  puts Bioroebe.editor? # Would output "bluefish" on my home setup.
end